aarpd(8)

NAME
aarpd - AppleTalk Address Resolution Protocol Daemon

SYNTAX
aarpd [ -d <capflags> ] [ -D <level> ] [ -l <log file> ] [ <interface> <zoneName> ]

DESCRIPTION

aarpd implements the AppleTalk Address Resolution Protocol for CAP programs using Native EtherTalk (Phase 1 or Phase 2). It communicates with CAP processes using RPC (Remote Procedure Calls) which interrogate a central AARP table. Addresses that are not currently available provoke AARP lookups on the network. These are added to the AARP table whose contents are aged and deleted at intervals.

aarpd maintains the address of the current default router. This is obtained from atis which is listening to RTMP packets. The default router is chosen by counting the RTMP tuples, favouring routers that perform "split horizon".

At startup, aarpd probes for a node number, determines the network number and maintains a copy of the network information in /etc/etalk.local which it updates as necessary.

The options aarpd accepts are:

-d <capflags>
    <capflags> are standard debugging flags for the CAP library. See CAP(3) for a description of the valid flags.

-l <logfile>
    specifies a file that messages should be logged to.

-D <level>
    defines the debugging level (an integer from 1 to 20). The higher the level is set, the more verbose aarpd is when logging.

<interface> <zoneName>
    defines the network interface (as listed by netstat(8)) such as ie0, le0, ln0 or pf0. The zoneName argument is a valid zonename for the EtherTalk connected to the interface. These values may be seeded in /etc/etalk.local but it is recommended that both arguments be supplied.

FILES
/etc/etalk.local - refer man/etalk.local.5

NOTES
aarpd be run as "root" (uid 0) and should be started before any other CAP programs.

SEE ALSO
CAP(3), CAP(8), AUFS(1), AUFS(8)